fuzzyowl2

## Enum ConceptDefinition.ConceptType

- java.lang.Object
- - java.lang.Enum<ConceptDefinition.ConceptType>
  - - fuzzyowl2.ConceptDefinition.ConceptType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConceptDefinition.ConceptType>
  Enclosing class:
    ConceptDefinition

      public static enum ConceptDefinition.ConceptType
      extends java.lang.Enum<ConceptDefinition.ConceptType>

  Types of fuzzy concepts that can be defined using annotations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHOQUET`
    `FUZZY_NOMINAL`
    `MODIFIED_CONCEPT`
    `OWA`
    `QUANTIFIER_OWA`
    `QUASI_SUGENO`
    `SUGENO`
    `WEIGHTED_CONCEPT`
    `WEIGHTED_MAX`
    `WEIGHTED_MIN`
    `WEIGHTED_SUM`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConceptDefinition.ConceptType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConceptDefinition.ConceptType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHOQUET

          public static final ConceptDefinition.ConceptType CHOQUET

    - #### FUZZY_NOMINAL

          public static final ConceptDefinition.ConceptType FUZZY_NOMINAL

    - #### MODIFIED_CONCEPT

          public static final ConceptDefinition.ConceptType MODIFIED_CONCEPT

    - #### OWA

          public static final ConceptDefinition.ConceptType OWA

    - #### QUANTIFIER_OWA

          public static final ConceptDefinition.ConceptType QUANTIFIER_OWA

    - #### QUASI_SUGENO

          public static final ConceptDefinition.ConceptType QUASI_SUGENO

    - #### SUGENO

          public static final ConceptDefinition.ConceptType SUGENO

    - #### WEIGHTED_CONCEPT

          public static final ConceptDefinition.ConceptType WEIGHTED_CONCEPT

    - #### WEIGHTED_MAX

          public static final ConceptDefinition.ConceptType WEIGHTED_MAX

    - #### WEIGHTED_MIN

          public static final ConceptDefinition.ConceptType WEIGHTED_MIN

    - #### WEIGHTED_SUM

          public static final ConceptDefinition.ConceptType WEIGHTED_SUM

  - ### Method Detail

    - #### values

          public static ConceptDefinition.ConceptType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConceptDefinition.ConceptType c : ConceptDefinition.ConceptType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConceptDefinition.ConceptType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null